package com.kingdee.eas.custom.workflow;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.DataBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.workflow.app.*;
import com.kingdee.eas.framework.IDataBase;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public class WorkflowPostion extends DataBase implements IWorkflowPostion
{
    public WorkflowPostion()
    {
        super();
        registerInterface(IWorkflowPostion.class, this);
    }
    public WorkflowPostion(Context ctx)
    {
        super(ctx);
        registerInterface(IWorkflowPostion.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("A5A4B005");
    }
    private WorkflowPostionController getController() throws BOSException
    {
        return (WorkflowPostionController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public WorkflowPostionInfo getWorkflowPostionInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getWorkflowPostionInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public WorkflowPostionInfo getWorkflowPostionInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getWorkflowPostionInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public WorkflowPostionInfo getWorkflowPostionInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getWorkflowPostionInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public WorkflowPostionCollection getWorkflowPostionCollection() throws BOSException
    {
        try {
            return getController().getWorkflowPostionCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public WorkflowPostionCollection getWorkflowPostionCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getWorkflowPostionCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public WorkflowPostionCollection getWorkflowPostionCollection(String oql) throws BOSException
    {
        try {
            return getController().getWorkflowPostionCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}